## org.eclipse.amp.axf.ide
Class ModelViewManager.ActivationListener

    java.lang.Object
      org.eclipse.amp.axf.ide.ModelViewManager.ActivationListener

Enclosing class:
  ModelViewManager

    private final class ModelViewManager.ActivationListener

extends java.lang.Object

Author:
  mparker

Constructor Summary
`private` `ModelViewManager.ActivationListener()`

Method Summary
`private void` `assignPart(IWorkbenchPart part)`
`void` `partActivated(IWorkbenchPart part)`
`void` `partBroughtToTop(IWorkbenchPart part)`
`void` `partClosed(IWorkbenchPart part)`
`void` `partDeactivated(IWorkbenchPart part)`
`void` `partOpened(IWorkbenchPart part)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelViewManager.ActivationListener

    private ModelViewManager.ActivationListener()

Method Detail

### assignPart

    private void assignPart(IWorkbenchPart part)

### partBroughtToTop

    public void partBroughtToTop(IWorkbenchPart part)

### partActivated

    public void partActivated(IWorkbenchPart part)

### partClosed

    public void partClosed(IWorkbenchPart part)

### partDeactivated

    public void partDeactivated(IWorkbenchPart part)

### partOpened

    public void partOpened(IWorkbenchPart part)

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors